Subject: linux-next: manual merge of the overlayfs tree with the origin tree

From: [email-masked]
Date: Wed, 3 Aug 2022 12:58:44 +0100

Hi all,

FIXME: Add owner of second tree to To:
       Add author(s)/SOB of conflicting commits.

Today's linux-next merge of the overlayfs tree got a conflict in:

  fs/overlayfs/inode.c

between commit:

  1aa5fef575a83 ("ovl: handle idmappings in ovl_get_acl()")

from the origin tree and commit:

  ded536561a367 ("ovl: improve ovl_get_acl() if POSIX ACL support is off")

from the overlayfs tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.